# msgDiscardingError

Controls whether an error is logged when a message is truncated.

This parameter applies to imfile: Text File Input Module.

Name:

  msgDiscardingError

Scope:

  input

Type:

  boolean

Default:

  on

Required?:

  no

Introduced:

  at least 8.x, possibly earlier

## Description

By default an error message is emitted when a message is truncated. If `msgDiscardingError` is `off`, no error is shown upon truncation.

## Input usage

    input(type="imfile"
          File="/var/log/example.log"
          Tag="example"
          msgDiscardingError="on")

## Notes

- Legacy documentation used the term `binary` for the type. It is treated as boolean.

## See also

See also imfile: Text File Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.